#include <bits/stdc++.h>
using namespace std;
int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    vector <int> a;
    long long  k;
    cin >> k;
    while(k%10==0)
        k = k/10;
    while(k!=0){
        a.push_back(k%10);
        k = k/10;
    }
 
    for(int u=0; u<a.size(); u++){
        if(a[u]==2){
            cout << 5;
        }else{ 
            if(a[u]==5){
                cout << 2;
            }
            else
                cout << a[u];
        }
    }
    return 0;
}
